package com.jw.app.business.user2user;

import java.util.List;
import java.util.Map;


import com.gaowj.business.exception.BusinessException;

public interface User2UserDAO {
	
	/**
	 *分级管理-查询
	 */
    List<Map<String,Object>> listUser2User(Map<String, Object> query) throws BusinessException ;
    
    int listUser2UserCount(Map<String, Object> query) throws BusinessException ; 
    /**
     * 分级管理-增加
     */
    void insertUser2User(Map<String,Object> entity) throws BusinessException ;
    
    /**
     * 分级管理-修改
     */
    void updateUser2User(Map<String,Object> entity) throws BusinessException ;
    /**
     * 分级管理-删除
     */
    void delete_User2User(List<String> list) throws BusinessException;
    void deleteUser2User(Map<String,Object> entity) throws BusinessException ;
}
